Katello - Bug #23644

Relative comparisons of package versions/releases via scoped_search are incorrect
05/18/2018 01:54 PM - Paul Donohue

Status: Closed
Priority: Normal
Assignee: Paul Donohue
Category:
Target version: Katello 3.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/738
Description

Package searches using relative version/release comparisons (>, >=, <, <=) cause a string comparison of the raw version/release to
be performed, which produces incorrect/unexpected results. These searches should compare the sortable version/release instead of

the raw version/release.

Related issues:
Related to Katello - Bug #24769: unable to search for packages

Closed

Associated revisions

Revision 10a12816 - 06/14/2018 06:05 PM - Paul Donohue

Fixes #23644 - Fix > >= < <= version/release searches

History

#1 - 05/18/2018 01:58 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/7381 added

#2 - 05/23/2018 05:44 PM - Jonathon Turel

- translation missing: en.field_release set to 338

#3 - 06/14/2018 07:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|10a12816281b64a968cc9c50a9c5244960f5dcea.

#4 - 09/05/2018 05:36 PM - Justin Sherrill
- Related to Bug #24769: unable to search for packages added
